<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/LifespanLevel.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d77/_lifespan_level_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">LifespanLevel.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d77/_lifespan_level_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d36/class_lifespan_level.html">LifespanLevel</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#a3e3d3f930d6d4d9984573e8df0e2e1a2">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a3e3d3f930d6d4d9984573e8df0e2e1a2">m_Level</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#a020e1878481f2371dee021e3f618f3bc">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a020e1878481f2371dee021e3f618f3bc">m_Threshold</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#a686a0c1b73a5497facaa18ff7505ab5e">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a686a0c1b73a5497facaa18ff7505ab5e">m_TextureName</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#a0f1d19093ed5cfa2ce40c73470001bbc">    6</a></span>    <span class="keyword">protected</span> <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a0f1d19093ed5cfa2ce40c73470001bbc">m_MaterialName</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#afd4b915c4d5422dfb924ed3164350f16">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d36/class_lifespan_level.html#afd4b915c4d5422dfb924ed3164350f16">LifespanLevel</a>( <span class="keywordtype">int</span> level, <span class="keywordtype">float</span> threshold, <span class="keywordtype">string</span> texture_name, <span class="keywordtype">string</span> material_name )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a3e3d3f930d6d4d9984573e8df0e2e1a2">m_Level</a> = level;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a020e1878481f2371dee021e3f618f3bc">m_Threshold</a> = threshold;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a686a0c1b73a5497facaa18ff7505ab5e">m_TextureName</a> = texture_name;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a0f1d19093ed5cfa2ce40c73470001bbc">m_MaterialName</a> = material_name;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#a625d94753904fde33b6f86f3b5ecc636">   17</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d36/class_lifespan_level.html#a625d94753904fde33b6f86f3b5ecc636">GetLevel</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a3e3d3f930d6d4d9984573e8df0e2e1a2">m_Level</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#aca441945a752c485450132c3cd145d73">   22</a></span>    <span class="keywordtype">float</span> <a class="code hl_function" href="../../da/d36/class_lifespan_level.html#aca441945a752c485450132c3cd145d73">GetThreshold</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a020e1878481f2371dee021e3f618f3bc">m_Threshold</a>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#acf4dc8ede2f541f4901576cf02f79d52">   27</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d36/class_lifespan_level.html#acf4dc8ede2f541f4901576cf02f79d52">GetTextureName</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a686a0c1b73a5497facaa18ff7505ab5e">m_TextureName</a>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../da/d36/class_lifespan_level.html#a77fd70af5516fbf75494217ca6e6fc63">   32</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d36/class_lifespan_level.html#a77fd70af5516fbf75494217ca6e6fc63">GetMaterialName</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../da/d36/class_lifespan_level.html#a0f1d19093ed5cfa2ce40c73470001bbc">m_MaterialName</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>}</div>
<div class="ttc" id="aclass_lifespan_level_html"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html">LifespanLevel</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00001">LifespanLevel.c:2</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_a020e1878481f2371dee021e3f618f3bc"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#a020e1878481f2371dee021e3f618f3bc">LifespanLevel::m_Threshold</a></div><div class="ttdeci">protected float m_Threshold</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00004">LifespanLevel.c:4</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_a0f1d19093ed5cfa2ce40c73470001bbc"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#a0f1d19093ed5cfa2ce40c73470001bbc">LifespanLevel::m_MaterialName</a></div><div class="ttdeci">protected string m_MaterialName</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00006">LifespanLevel.c:6</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_a3e3d3f930d6d4d9984573e8df0e2e1a2"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#a3e3d3f930d6d4d9984573e8df0e2e1a2">LifespanLevel::m_Level</a></div><div class="ttdeci">protected int m_Level</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00003">LifespanLevel.c:3</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_a625d94753904fde33b6f86f3b5ecc636"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#a625d94753904fde33b6f86f3b5ecc636">LifespanLevel::GetLevel</a></div><div class="ttdeci">int GetLevel()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00017">LifespanLevel.c:17</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_a686a0c1b73a5497facaa18ff7505ab5e"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#a686a0c1b73a5497facaa18ff7505ab5e">LifespanLevel::m_TextureName</a></div><div class="ttdeci">protected string m_TextureName</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00005">LifespanLevel.c:5</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_a77fd70af5516fbf75494217ca6e6fc63"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#a77fd70af5516fbf75494217ca6e6fc63">LifespanLevel::GetMaterialName</a></div><div class="ttdeci">string GetMaterialName()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00032">LifespanLevel.c:32</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_aca441945a752c485450132c3cd145d73"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#aca441945a752c485450132c3cd145d73">LifespanLevel::GetThreshold</a></div><div class="ttdeci">float GetThreshold()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00022">LifespanLevel.c:22</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_acf4dc8ede2f541f4901576cf02f79d52"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#acf4dc8ede2f541f4901576cf02f79d52">LifespanLevel::GetTextureName</a></div><div class="ttdeci">string GetTextureName()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00027">LifespanLevel.c:27</a></div></div>
<div class="ttc" id="aclass_lifespan_level_html_afd4b915c4d5422dfb924ed3164350f16"><div class="ttname"><a href="../../da/d36/class_lifespan_level.html#afd4b915c4d5422dfb924ed3164350f16">LifespanLevel::LifespanLevel</a></div><div class="ttdeci">void LifespanLevel(int level, float threshold, string texture_name, string material_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d77/_lifespan_level_8c_source.html#l00009">LifespanLevel.c:9</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dc/d77/_lifespan_level_8c.html">LifespanLevel.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
